/credits/top-up/options
1 min
POST
https://app.amberflo.io/credits/top-up/options
Body Parameters
- bodycom.amberflo.real_time_credits.TopupOptions.in
- customerIdstring
- autoTopupboolean
- targetBalancenumber
- topupAmountnumber
- thresholdBalancenumber
- maxTopupPerBillingPeriodnumber
Responses
200
- com.amberflo.real_time_credits.TopupOptions.out
- customerIdstring
- autoTopupboolean
- targetBalancenumber
- topupAmountnumber
- thresholdBalancenumber
- maxTopupPerBillingPeriodnumber
- createTimeInSecondsinteger<int64>Description
- updateTimeInSecondsinteger<int64>Description
curl
curl --request POST \
--url https://app.amberflo.io/credits/top-up/options \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/credits/top-up/options", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/credits/top-up/options")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/credits/top-up/options"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"customerId": "",
"autoTopup": false,
"targetBalance": 0,
"topupAmount": 0,
"thresholdBalance": 0,
"maxTopupPerBillingPeriod": 0,
"createTimeInSeconds": "",
"updateTimeInSeconds": ""
}